Bug 51889 - rhn_register doesnt work in gui or tui
rhn_register doesnt work in gui or tui
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-08-16 11:58 EDT by Tom "spot" Callaway
Modified: 2015-01-07 18:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-11 13:15:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
openssl s_client -connect beta.rhns.redhat.com:https (3.42 KB, text/plain)
2001-09-04 13:16 EDT, Tom "spot" Callaway
no flags Details
openssl s_client -connect www.rhns.redhat.com:https (3.41 KB, text/plain)
2001-09-04 13:17 EDT, Tom "spot" Callaway
no flags Details

  None (edit)
Description Tom "spot" Callaway 2001-08-16 11:58:23 EDT
Description of Problem:

rhn_register doesn't ever retrieve the welcome message, and refuses to run

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. run rhn_register on the ia64 machine 

Actual Results:

on console: 
A socket error occured: SSL_connect error, attempt #1
A socket error occured: SSL_connect error, attempt #2
A socket error occured: SSL_connect error, attempt #3
A socket error occured: SSL_connect error, attempt #4
A socket error occured: SSL_connect error, attempt #5

Fatal Error: 
SSL_connect error

in X, the same messages dump to the terminal, as well as popping up a
window that says:

Fatal error retrieving welcome message: SSL_connect error

Expected Results:

system gets registered.

Additional Information:

ssh functionality works, confirming the ability to open ssl sockets.
netscape can open https://beta.rhns.redhat.com without difficulty.
Comment 1 Adrian Likins 2001-08-16 13:49:32 EDT
First guess is it's a ssl bug, since it's throwing ssl errors.

Can you change serverURL in the config to point to http:// instead
of https:// and try?

ssh working doesnt really mean much (ssh != ssl)

netscape being able to open https is a better sign, but I think
netscape includes it's own ssl implementation, so probabaly isnt
using openssl. 

I'll add nalin to the cc, and see what he thinks.
Comment 2 Adrian Likins 2001-08-16 13:50:23 EDT
nalin, seen any ia64 related openssl bugs?
Comment 3 Glen Foster 2001-08-16 14:56:48 EDT
We (Red Hat) really need to fix this before next release.
Comment 4 Tom "spot" Callaway 2001-08-16 17:42:22 EDT
when i change from https to http, it works. however, this isnt a valid
workaround for the customer because it compromises RHN userinfo security.
Comment 5 Adrian Likins 2001-08-16 18:07:53 EDT
well, the http suggestion was for troubleshooting, not a recommended setting.
This is a beta afterall. 

Nalin, any clue?  ssl on is64 seems to work okay on 7.1
Comment 6 Nalin Dahyabhai 2001-08-28 09:58:24 EDT
We're running the test suite in the %build phase, like we always do.
Comment 7 Nalin Dahyabhai 2001-08-28 10:12:00 EDT
Please check if you can connect to the RHNS server using openssl's s_client command:
openssl s_client -connect www.rhns.redhat.com:https
(send "QUIT" to disconnect)
Comment 8 Bill Nottingham 2001-08-30 12:20:10 EDT
rhn_register works for me with a current install.
Comment 9 Tom "spot" Callaway 2001-09-04 13:15:57 EDT
rhn_register does not work with latest build: rhn_register-1.4.0-20 from
re0831.0, however, the openssl s_client test string seems to work properly.

rhn_register reports the same ssl error messages as before.
Comment 10 Tom "spot" Callaway 2001-09-04 13:16:36 EDT
Created attachment 30854 [details]
openssl s_client -connect beta.rhns.redhat.com:https
Comment 11 Tom "spot" Callaway 2001-09-04 13:17:16 EDT
Created attachment 30855 [details]
openssl s_client -connect www.rhns.redhat.com:https
Comment 12 Matt Jamison 2003-09-11 13:15:49 EDT
resolving bug.  old and crufty.

Note You need to log in before you can comment on or make changes to this bug.